com.ihr.xbrl.resolvers.workers

## Class TaxonomyPrefixPlus3ConceptName

- java.lang.Object
- - com.ihr.xbrl.resolvers.workers.TaxonomyPrefixPlus3ConceptName

- All Implemented Interfaces:
    Worker

      public class TaxonomyPrefixPlus3ConceptName
      extends java.lang.Object
      implements Worker

  The Class TaxonomyPrefixPlus3ConceptName.
  Author:
    Ignacio

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TaxonomyPrefixPlus3ConceptName()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `canDoTheWork(java.lang.Object parameter)` returns true if the worker can perform its work with the supplied parameters.
    `java.lang.Object` | `doTheWork(java.lang.Object parameter)` returns the value that is the result of the work operation.
    `float` | `getPriority()` Serves for organizing the workers in the queue so the workers with higher priority are asked to do the work first.
    `java.lang.String[]` | `getRoles()` Return the roles for which this worker is able to produce work.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TaxonomyPrefixPlus3ConceptName

          public TaxonomyPrefixPlus3ConceptName()

  - ### Method Detail

    - #### canDoTheWork

          public boolean canDoTheWork(java.lang.Object parameter)

      Description copied from interface: `Worker`
      returns true if the worker can perform its work with the supplied parameters.
      Specified by:
        `canDoTheWork` in interface `Worker`
      Parameters:
        `parameter` - Object. the worker should check if the parameter is of the appropriate type
      Returns:
        boolean value, true if the worker can do the work

    - #### doTheWork

          public java.lang.Object doTheWork(java.lang.Object parameter)

      Description copied from interface: `Worker`
      returns the value that is the result of the work operation.
      Specified by:
        `doTheWork` in interface `Worker`
      Parameters:
        `parameter` - the parameter
      Returns:
        Object Object

    - #### getPriority

          public float getPriority()

      Description copied from interface: `Worker`
      Serves for organizing the workers in the queue so the workers with higher priority are asked to do the work first.
      Specified by:
        `getPriority` in interface `Worker`
      Returns:
        Number

    - #### getRoles

          public java.lang.String[] getRoles()

      Description copied from interface: `Worker`
      Return the roles for which this worker is able to produce work.
      Specified by:
        `getRoles` in interface `Worker`
      Returns:
        the roles